import request from '@/utils/request'

// 查询考核题库列表
export function listAppletQuestion(query) {
  return request({
    url: '/model/AppletQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询考核题库详细
export function getAppletQuestion(id) {
  return request({
    url: '/model/AppletQuestion/' + id,
    method: 'get'
  })
}

// 新增考核题库
export function addAppletQuestion(data) {
  return request({
    url: '/model/AppletQuestion',
    method: 'post',
    data: data
  })
}

// 修改考核题库
export function updateAppletQuestion(data) {
  return request({
    url: '/model/AppletQuestion',
    method: 'put',
    data: data
  })
}

// 删除考核题库
export function delAppletQuestion(id) {
  return request({
    url: '/model/AppletQuestion/' + id,
    method: 'delete'
  })
}
